// Bonne pratique : ne jamais exécuter de code
// en dehors d'une fonction

// si on veut exécuter quelque chose à l'affichage de la page
// on fait comme ceci :
window.onload = init;

function init() {
    //funcAutreFichier(); // marche car dans le init

  // Exécuté quand la page est chargée y compris
  // les métadonnées des différentes ressources
  // (images, sons, videos etc.)
  // bien sur on aura aussi le DOM prêt à être
  // manipulé
  console.log("coucou du script");
  let titre = document.querySelector("h1");
  titre.innerHTML += "<i> AJOUTÉ AU TITRE</i>";
}

function traiteClick() {
  console.log("Dans traiteClick");

  // On va modifier le titre
  // 1 - il faut le selectionner à l'aide
  // de la "selector API"
  // paramètre = un selecteur CSS
  let titre = document.querySelector("h1");

  // 2 - on utilise la proprité innerHTML pour changer
  // son contenu.
  titre.innerHTML += "<i> AJOUTÉ AU TITRE</i>";

  // On change le style CSS. Attention si la propriété CSS
  // avait un - dans son nom, comme background-color
  // en JS on capitalise à la Java.
  titre.style.backgroundColor = "yellow";
}

function mettreBordureH1() {
  let lesH1 = document.querySelectorAll("h1");

  // on a non pas UN h1 sélectionné mais une collection
  // de h1. On va iterer dessus

  // En JS on peut itérer de plusieurs manières
  // on va en voir une ici. el est l'élément courant
  // on peut l'appeler comme on veut
  lesH1.forEach(el => {
    el.style.border = "2px dashed red";
  });

  // autre manière plus "classique"
  /*
  for(let i=0; i < lesH1.length; i++) {
      let el = lesH1[i];
      el.style.border = "2px dashed red";
  }
  */
}
